%define _requires_exceptions devel\\(.*\\)

Summary:        Mail Transport Service
Name:           kmailtransport
Version: 		23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires:	libxml2-utils
BuildRequires:	docbook-dtds
BuildRequires: cmake
BuildRequires: lib64boost-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadimime-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5wallet-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64sasl2-devel
BuildRequires: qtbase5-common-devel 

%description
Mail Transport Service.

%files
%_kf5_datadir
#--------------------------------------------------------------------

%define kmailtransport_major 5
%define libkmailtransport %mklibname kf5mailtransport %{kmailtransport_major}

%package -n %libkmailtransport
Summary:      Mail Transport Service
Group:        System/Libraries
Requires: %name

%description -n %libkmailtransport
Mail Transport Service.

%files -n %libkmailtransport
%_kf5_libdir/lib*.so.*
%_qt5_plugindir
#--------------------------------------------------------------------

%define kmailtransport_devel %mklibname kf5mailtransport -d

%package -n %kmailtransport_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkmailtransport = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kmailtransport_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kmailtransport_devel
%_includedir
%_kf5_libdir/*.so
%_kf5_libdir/cmake
%_libdir/qt5/mkspecs
#--------------------------------------------------------------------

%package        handbook
Summary:        Kmailtransport Handbook
Group:          Documentation
BuildArch:      noarch
Requires: %name


%description    handbook
This package provides Kmailtransport handbook.

%files handbook
#--------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

